Interface-Hero-Background

OpenAccess SDK

Build a Custom ODBC Driver for Any Data Source or API

Table of Contents:

    Overview

    Progress DataDirect’s ODBC Driver for any Data Source or API offers a high-performing, secure and reliable connectivity solution for ODBC applications to access any Data Source or API data. Our ODBC driver can be easily used with all versions of SQL and across all platforms - Unix / Linux, AIX, Solaris, Windows and HP-UX. Enjoy real-time analytics, reporting and business intelligence (BI) capabilities with your favorite tools such as Tableau, Power BI, Qlik, Excel, Cognos, Informatica, SAS, Board, MicroStrategy, SSIS, Oracle OBIEE and more.

    • Quickly develop custom ODBC driver across C, C++, Java, .NET, REST, ABL
    • Broad data connection and application platform options
    • Increase development productivity by using our robust SDK

    Features

    Portable

    Use the same code to support of any API - ODBC, JDBC, OLE DB, ADO.NET

    Powerful

    Leverage granular tooling to help you measure, analyze and improve your application performance

    Usable

    Get one interface to manage data access from all standards-based APIs

    Comprehensive

    Broaden data connection and application platform options while expanding developer knowledge

    Technology-Rich

    Overpower any enterprise project you can dream up with vast SQL functionality

    Extensive SQL Support

    Code less and work more effectively with optimized CRUD operations via the OpenAccess SQL engine

    Technical Specifications

    Windows Client 32-bit platforms

    • Microsoft Data Access Components (MDAC), version 2.7 Service Pack 1 or higher

    Windows Client 64-bit platforms

    • Microsoft Data Access Components (MDAC), version 2.8 (64-bit) or higher

    Linux/UNIX

    • No product-specific requirements

    Requirements for Installing OpenAccess Local Client for ODBC and IP SDK on Windows Platforms

    • Minimum of 100 MB of free disk space
    • Microsoft Data Access Components (MDAC), version 2.7 Service Pack 1 or higher
    • MMC 2.0 or higher

    UNIX Platforms

    • Korn shell. This requirement applies to Linux, which by default is not shipped with a Korn shell

    Connect any application to any data source anywhere

    Explore all DataDirect Connectors

    A product specialist will be glad to get in touch with you

    Contact Us